Bug 164918 - zip with wildcard on directory with large files causes segmentation fault
zip with wildcard on directory with large files causes segmentation fault
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: zip (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 13:56 EDT by Rodre Ghorashi-Zadeh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 07:51:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodre Ghorashi-Zadeh 2005-08-02 13:56:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
Using zip with wildcard on the contents of a directory that contains a large file (5.7 GB) causes a segmentation fault. If I zip the file on it's own I get:

zip /root/test.zip somelargefile.dat
        zip warning: file too large: (null)
        zip warning: name not matched: somelargefile.dat

but it appears that the file get zipped successfully.

Version-Release number of selected component (if applicable):
zip-2.3-30

How reproducible:
Always

Steps to Reproduce:
1. Find a large file on your file system, in my case 5.7 GB
2. Try and zip it along with the contents of the directory it is in using: zip somefile.zip some-dir/*
3. Notice Segmentation fault.
  

Actual Results:  zip /root/test.zip some-dir/*
Segmentation fault


Expected Results:  I was hoping the contents of the directory, inclusing the large file would have been put into a zip archive.

Additional info:

 uname -a
Linux myhostyname.localdomain 2.6.12-1.1398_FC4smp #1 SMP Fri Jul 15 01:05:24 EDT 2005 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Ivana Varekova 2005-08-04 07:51:02 EDT
Thank you for your notice.
This bug will be solved in the next upstream version (The new zip version 3.0
should contained large file support - see upstream info page
http://www.info-zip.org/pub/infozip/Zip.html.). 
I update this package when this version will be released.
Ivana Varekova  

Note You need to log in before you can comment on or make changes to this bug.